SST_Crisponizer (Hyperic HQ Plugin API)
Keywords: org.hyperic.tools.ant.dbupgrade.SST_Crisponizer class

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.tools.ant.dbupgrade
Class SST_Crisponizer

    java.lang.Object
      org.apache.tools.ant.ProjectComponent
          org.apache.tools.ant.Task
              org.hyperic.tools.ant.dbupgrade.SchemaSpecTask
                  org.hyperic.tools.ant.dbupgrade.CrispoTask
                      org.hyperic.tools.ant.dbupgrade.SST_Crisponizer

    public class SST_Crisponizer

extends CrispoTask

Converts an old-style serialized ConfigResponse into a Crispo

Field Summary

Fields inherited from class org.hyperic.tools.ant.dbupgrade.SchemaSpecTask
`_ctx`

Fields inherited from class org.apache.tools.ant.Task
`description, location, target, taskName, taskType, wrapper`

Fields inherited from class org.apache.tools.ant.ProjectComponent
`project`

Constructor Summary
`SST_Crisponizer()`

Method Summary
`void` | `execute()`
`void` | `setColumn(java.lang.String column)`
`void` | `setCrispoColumn(java.lang.String c)`
`void` | `setOnlyProperties(java.lang.String f)`
`void` | `setRewriteConfigResponse(java.lang.String val)`
`void` | `setTable(java.lang.String table)`

Methods inherited from class org.hyperic.tools.ant.dbupgrade.CrispoTask
`createCrispo, createCrispoOpt`

Methods inherited from class org.hyperic.tools.ant.dbupgrade.SchemaSpecTask
`getConnection, getDBSpecificTypeName, getDBType, getDBUtilType, getNewConnection, initialize, translateSqlType`

Methods inherited from class org.apache.tools.ant.Task
`getDescription, getLocation, getOwningTarget, getRuntimeConfigurableWrapper, getTaskName, getTaskType, getWrapper, handleErrorFlush, handleErrorOutput, handleFlush, handleInput, handleOutput, init, isInvalid, log, log, maybeConfigure, perform, reconfigure, setDescription, setLocation, setOwningTarget, setRuntimeConfigurableWrapper, setTaskName, setTaskType`

Methods inherited from class org.apache.tools.ant.ProjectComponent
`getProject, setProject`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SST_Crisponizer

    public SST_Crisponizer()

Method Detail

### setTable

    public void setTable(java.lang.String table)

### setColumn

    public void setColumn(java.lang.String column)

### setCrispoColumn

    public void setCrispoColumn(java.lang.String c)

### setOnlyProperties

    public void setOnlyProperties(java.lang.String f)

### setRewriteConfigResponse

    public void setRewriteConfigResponse(java.lang.String val)

### execute

    public void execute()
                 throws org.apache.tools.ant.BuildException

  Overrides:
    `execute` in class `org.apache.tools.ant.Task`
  Throws:
    `org.apache.tools.ant.BuildException`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 Hyperic, Inc. support@hyperic.net, All Rights Reserved.